# Welcome!

I'm the lead developer at [SemiColin Games](https://www.semicolin.games) in Somerville, MA.
Previously at Google, reCAPTCHA, & Carnegie Mellon.

<!-- SVG icons from https://microicon-clone.vercel.app/git/24/FFFFFF -->

[![@mcmillen](/img/twitter.svg)](https://twitter.com/mcmillen) [@mcmillen](https://twitter.com/mcmillen)

[![Git](/img/git.svg)](https://git.mcmillen.dev/mcmillen?tab=activity) [git.mcmillen.dev](https://git.mcmillen.dev/mcmillen?tab=activity)

For more details, check my [resumé](resume.html) & [publications](publications.html).

## Recent Posts

You can sign up for occasional updates via my [email newsletter](https://tinyletter.com/mcmillen).

  * [93% of Paint Splatters are Valid Perl Programs](sigbovik/)
    In this paper, we aim to answer a long-standing open problem in the programming languages community: is it possible to smear paint on the wall without creating valid Perl?

  * [Programming Language Checklist](language_checklist.html)
    You appear to be advocating a new programming language. Your language will not work.  Here is why it will not work.

  * [ohnosay](https://twitter.com/mcmillen/status/1095795492196364297)

## Videogames

Currently playing: **Persona 5**, **Monster Hunter Rise**, & **Slipways**.
Sometimes I stream on Twitch!

[![Twitch](/img/twitch.svg)](https://twitch.tv/FamiColin) [FamiColin](https://twitch.tv/FamiColin)

[![Steam](/img/steam.svg)](https://steamcommunity.com/id/FamiColin/) [FamiColin](https://steamcommunity.com/id/FamiColin/)

[![PlayStation](/img/playstation.svg)](https://psnprofiles.com/robomancer) [robomancer](https://psnprofiles.com/robomancer)

![Nintendo Switch](/img/nintendoswitch.svg) SW-1906-3662-4308
